Managed Availability

Read as Markdown

Managed Availability is Cronofy’s service to allow your app to capture availability rules and periods for your users.

Using these, you can impact on a user’s availability when using the Simple Scheduling and Availability endpoints.

Rather than the available periods being fixed as part of those requests, when you signal that managed availability should be used for a member, their managed availability is referenced dynamically.

Example Availability Request #

POST /v1/availability HTTP/1.1
Host: {data_center_url}
Authorization: Bearer {ACCESS_TOKEN}
Content-Type: application/json; charset=utf-8

{
  "participants": [
    {
      "members": [
        {
          "sub": "acc_5ba21743f408617d1269ea1e",
          "managed_availability": true
        },
        {
          "sub": "acc_64b17d868090ea21640c914c",
          "managed_availability": true,
          "availability_rule_ids": ["houston-office"]
        }
      ],
      "required": "all"
    }
  ],
  "required_duration": { "minutes": 60 },
  "query_periods": [
    {
      "start": "2026-11-14T00:00:00Z",
      "end": "2026-11-16T23:59:59Z"
    }
  ]
}

See the Availability API for full docs.